<id>
Choose Position on Registration (CPR) beta 1.1 YaBB2
</id>

<version>
1.1a
</version>

<mod info>
Allows registrants to choose their post independent position from the list of member groups.  Admins can also select a registrant's position if they register them in the admin center.

Installation 
--------------------
1.  Mod the files (Registry.pl. ModList.pl, and Admin.pl) and upload in ASCII
2.  Upload cpr.lng to the languages directory.

Version History
---------------
1.0 Original release
1.1 Removed two lines of code so that the membergroups can be shown.
1.1a Updated for Y2 Final Release
</mod info>

<author>
astro-pilot
</author>

<homepage>

</homepage>

<edit file>
Sources/Register.pl
</edit file>

<search for>
  </tr><tr class="windowbg">
    <td>* <b>$register_txt{'82'}:</b></td>
    <td><input type="password" maxlength="30" name="passwrd2" value="$tmpregpasswrd2" size="30" /></td>
  </tr>
~;
	}
</search for>

<add after>
#### Choose Position on Registration Mod (which class) - Shawn Flynn
LoadLanguage("cpr");
$yymain .= qq~
  <tr class="windowbg">
	<td>* <b>$cpr_txt{'1'}:</b>
	<br><span class="small">$cpr_txt{'2'}</span></td>
 	<td><select name="position"><option></option>~;
$z = 1;
while($NoPost{$z}) {
	($title, $stars, $starpic, $color) = split(/\|/, $NoPost{$z});
	$yymain .= qq~<option value="$title">$title</option>~;
	$z++;
} 
$yymain .= qq~    
 </td></tr>
~;### End CPR part
</add after>

<search for>
	$member{'username'} =~ s/\s/_/g;

</search for>

<add after>
	# Make sure that people select a class - Part of CPR mod - Shawn Flynn
	LoadLanguage("cpr");
	&fatal_error("$cpr_txt{'3'}") if($member{'position'} eq "");  ### End CPR part
</add after>

<search for>
	$reguser      = $member{'username'};
</search for>

<add after>
	$regposition = $member{'position'};  ## Part of CPR mod - Shawn Flynn
</add after>

<search for>
	${$uid.$reguser}{'email'}         = lc($member{'email'});
</search for>

<add after>
	${$uid.$reguser}{'position'} = $regposition;  ## Part of CPR mod - Shawn Flynn
</add after>

<edit file>
Admin/Admin.pl
</edit file>

<search for>
	<tr>
		<td width="30%" class="windowbg"><b>$register_txt{'81'}:</b></td>
		<td width="70%" class="windowbg"><input type="password" maxlength="30" name="passwrd1" size="30" /></td>
	</tr><tr>
		<td width="30%" class="windowbg"><b>$register_txt{'82'}:</b></td>
		<td width="70%" class="windowbg"><input type="password" maxlength="30" name="passwrd2" size="30" /></td>
	</tr>
~;
	}
</search for>

<add after>
#### Choose Position on Registration Mod (which class) - Shawn Flynn
LoadLanguage("cpr");
require "$vardir/membergroups.txt";
$yymain .= qq~
  <tr class="windowbg">
	<td><b>$cpr_txt{'4'}:</b></td>
 	<td><select name="position"><option></option>~;
$z = 1;
while($NoPost{$z}) {
	($title, $stars, $starpic, $color) = split(/\|/, $NoPost{$z});
	$yymain .= qq~<option value="$title">$title</option>~;
	$z++;
} ### End CPR
</add after>

<search for>
	$member{'username'} =~ s/\s/_/g;

</search for>

<add after>
	# Make sure that people a class is selected - part of CPR mod - Shawn Flynn
	LoadLanguage("cpr");
	&admin_fatal_error("$cpr_txt{'5'}") if($member{'position'} eq "");  ### End CPR part
</add after>

<search for>
	$reguser      = $member{'username'};
</search for>

<add after>
	$regposition = $member{'position'};  ## Part of CPR mod - Shawn Flynn
</add after>

<search for>
	${$uid.$reguser}{'email'}         = lc($member{'email'});
</search for>

<add after>
	${$uid.$reguser}{'position'} = $regposition;  ## Part of CPR mod - Shawn Flynn
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add after>
	$cpr_mod = "CPR_YaBB2|astro-pilot|Allows registrants to choose their position from the list of member groups.  Admins cna also select a registrant's position if they register them in the admin center.|1.1a|9/30/05";
	push (@installed_mods, "$cpr_mod");

</add after>